services:
  app:
    build: .
    restart: unless-stopped
    environment:
      DB_PATH: /data/devices.db
      HEARTBEAT_SECRET: ${HEARTBEAT_SECRET}
      ALERT_AFTER_MIN: ${ALERT_AFTER_MIN:-10}
      CHECK_EVERY_SEC: ${CHECK_EVERY_SEC:-60}
      ALERT_WEBHOOK: ${ALERT_WEBHOOK:-}
      ALERT_WEBHOOK_TYPE: ${ALERT_WEBHOOK_TYPE:-slack} # slack|teams
      DASHBOARD_AUTH: ${DASHBOARD_AUTH:-}  # e.g., "admin:StrongPass!"
      TRUST_PROXY: "1"
    volumes:
      - hbdata:/data
    ports:
      - "8000:8000"
volumes:
  hbdata: {}
